- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
deviceMemInfo
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Managing devices in ArrayFire

Memory manager related functions. More...

## Functions
AFAPI void | setMemStepSize (const size_t size)
| Set the resolution of memory chunks. More...
AFAPI size_t | getMemStepSize ()
| Get the resolution of memory chunks. More...
AFAPI af_err | af_device_mem_info (size_t *alloc_bytes, size_t *alloc_buffers, size_t *lock_bytes, size_t *lock_buffers)
| Get memory information from the memory manager. More...
AFAPI af_err | af_device_gc ()
| Call the garbage collection routine. More...
AFAPI af_err | af_set_mem_step_size (const size_t step_bytes)
| Set the minimum memory chunk size. More...
AFAPI af_err | af_get_mem_step_size (size_t *step_bytes)
| Get the minimum memory chunk size. More...
AFAPI af_err | af_lock_device_ptr (const af_array arr)
| Lock the device buffer in the memory manager. More...
AFAPI af_err | af_unlock_device_ptr (const af_array arr)
| Unlock device buffer in the memory manager. More...
AFAPI af_err | af_get_device_ptr (void **ptr, const af_array arr)
| Get the device pointer and lock the buffer in memory manager. More...
AFAPI void | deviceMemInfo (size_t *alloc_bytes, size_t *alloc_buffers, size_t *lock_bytes, size_t *lock_buffers)
| Gets information about the memory manager. More...
AFAPI void | deviceGC ()
| Call the garbage collection function in the memory manager. More...

## Detailed Description

Memory manager related functions.

Memory manager related functions

## Function Documentation

AFAPI af_err af_device_gc | ( |  | ) |

Call the garbage collection routine.

AFAPI af_err af_device_mem_info | ( | size_t * | alloc_bytes,
|  | size_t * | alloc_buffers,
|  | size_t * | lock_bytes,
|  | size_t * | lock_buffers
| ) |  |

Get memory information from the memory manager.

AFAPI af_err af_get_device_ptr | ( | void ** | ptr,
|  | const af_array | arr
| ) |  |

Get the device pointer and lock the buffer in memory manager.

The device pointer `ptr` is notfreed by memory manager until af_unlock_device_ptr is called.

AFAPI af_err af_get_mem_step_size | ( | size_t * | step_bytes | ) |

Get the minimum memory chunk size.

AFAPI af_err af_lock_device_ptr | ( | const af_array | arr | ) |

Lock the device buffer in the memory manager.

Locked buffers are not freed by memory manager until af_unlock_device_ptr is called.

AFAPI af_err af_set_mem_step_size | ( | const size_t | step_bytes | ) |

Set the minimum memory chunk size.

AFAPI af_err af_unlock_device_ptr | ( | const af_array | arr | ) |

Unlock device buffer in the memory manager.

This function will give back the control over the device pointer to the memory manager.

AFAPI void af::deviceGC | ( |  | ) |

Call the garbage collection function in the memory manager.

AFAPI void af::deviceMemInfo | ( | size_t * | alloc_bytes,
|  | size_t * | alloc_buffers,
|  | size_t * | lock_bytes,
|  | size_t * | lock_buffers
| ) |  |

Gets information about the memory manager.

Parameters

  [out] | alloc_bytes | the number of bytes allocated by the memory
  [out] | alloc_buffers | the number of buffers created by the memory
  [out] | lock_bytes | The number of bytes in use
  [out] | lock_buffers | The number of buffers in use

AFAPI size_t af::getMemStepSize | ( |  | ) |

Get the resolution of memory chunks.

AFAPI void af::setMemStepSize | ( | const size_t | size | ) |

Set the resolution of memory chunks.